--- old/usr/src/contrib/zlib/deflate.c	Thu Jun  6 06:55:35 2019
+++ new/usr/src/contrib/zlib/deflate.c	Thu Jun  6 06:55:35 2019
@@ -188,8 +188,11 @@
  * prev[] will be initialized on the fly.
  */
 #define CLEAR_HASH(s) \
-    s->head[s->hash_size-1] = NIL; \
-    zmemzero((Bytef *)s->head, (unsigned)(s->hash_size-1)*sizeof(*s->head));
+    do { \
+        s->head[s->hash_size-1] = NIL; \
+        zmemzero((Bytef *)s->head, \
+        (unsigned)(s->hash_size-1)*sizeof(*s->head)); \
+    } while (0)
 
 /* ===========================================================================
  * Slide the hash table when sliding the window down (could be avoided with 32
